platform_device_del
Prev | Device Drivers Base | Next

## Name

platform_device_del — remove a platform-level device

## Synopsis

`void platform_device_del (` | struct platform_device * | pdev`)`;

## Arguments

`pdev`

  platform device we're removing

## Description

Note that this function will also release all memory- and port-based resources owned by the device (`dev`->resource). This function must _only_ be externally called in error cases. All other usage is a bug.

Prev | Up | Next
platform_device_add | Home | platform_device_register